%if 0%{?el7}
%define dist .el7
%endif

%define rver 1_30

Summary: Reference encoder and encoding library for MPEG2/4 AAC
Name: faac
Version: 1.30
Release: 1%{?dist}
License: LGPL
Group: Applications/Multimedia
URL: http://www.audiocoding.com/

Packager: momo-i <webmaster@momo-i.org>
Vendor: momo-i, http://www.momo-i.org/

Source: https://sourceforge.net/projects/faac/files/faac-src/%{name}-%{version}/%{name}-%{rver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#Patch0: faac-1.28-fc21.patch
#Patch1: faac-1.28-gcc49.patch

BuildRequires: autoconf >= 2.50, automake, libtool, dos2unix, gcc-c++

%description
FAAC is an AAC audio encoder. It currently supports MPEG-4 LTP, MAIN and LOW
COMPLEXITY object types and MAIN and LOW MPEG-2 object types. It also supports
multichannel and gapless encoding.

%package devel
Summary: Development libraries of the FAAC AAC encoder
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
FAAC is an AAC audio encoder. It currently supports MPEG-4 LTP, MAIN and LOW
COMPLEXITY object types and MAIN and LOW MPEG-2 object types. It also supports
multichannel and gapless encoding.

This package contains development files and documentation for libfaac.

%prep
%setup -q -n %{name}-%{rver}
#patch0 -p1
#patch1 -p1
# Don't ask...
find . -type f -exec dos2unix {} \;
#find . -type f -exec chmod 644 {} \;
#find . -type d -exec chmod 755 {} \;

%build
./bootstrap
%configure \
	--disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO docs/*
%{_bindir}/faac
%{_libdir}/libfaac.so.*
%{_mandir}/man1/*.1*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/faac.h
%{_includedir}/faaccfg.h
%{_libdir}/libfaac.so
%exclude %{_libdir}/libfaac.la

%changelog
* Sat Jun 06 2020 momo-i <webmaster@momo-i.org> - 1.30-1
- Update to 1.30

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.28-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.28-3
- Rebuilt for fc23

* Thu May 28 2013 momo-i <webmaster@momo-i.org> - 1.28
- Update 1.28.

* Mon Nov 10 2008 Dag Wieers <dag@wieers.com> - 1.26-1 - 5024+/dries
- Updated to release 1.26.

* Wed Dec 20 2006 Matthias Saou <http://freshrpms.net/> 1.25-2
- Include patch to fix external libmp4v2 (Alexandre Silva Lopes).

* Fri Dec 15 2006 Matthias Saou <http://freshrpms.net/> 1.25-1
- Update to 1.25.
- Enable external libmp4v2... but the resulting package doesn't require it...

* Wed Apr 12 2006 Matthias Saou <http://freshrpms.net/> 1.24-3
- Add faad2-devel build requirement to build with MP4 support (Chris Petersen),
  faad2 had to be fixed before it worked, though.

* Fri Mar 17 2006 Matthias Saou <http://freshrpms.net/> 1.24-2
- Release bump to drop the disttag number in FC5 build.
- Disable/remove static library.

* Tue Aug 24 2004 Matthias Saou <http://freshrpms.net/> 1.24-1
- Fix license tag, it's LGPL not GPL.

* Mon May  3 2004 Matthias Saou <http://freshrpms.net/> 1.24-1
- Update to 1.24.

* Thu Feb 26 2004 Matthias Saou <http://freshrpms.net/> 1.23.5-1
- Update to 1.23.5.
- Changed license tag to GPL.

* Mon Nov 17 2003 Matthias Saou <http://freshrpms.net/> 1.23.1-1
- Initial rpm release.

